body {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.navigations {
  margin-top: 4rem;
  width: 90%;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}

header {
  margin: 2rem;
  width: 100%;
  display: grid;
  place-items: center;
  padding-bottom: 10rem;
}

/* Main Navigation */

.mainNav {
  position: fixed;
  top: 0;
  margin: 0;
  width: 100%;
  height: 6rem;
  background-color: var(--primary);
  display: flex;
  justify-content: space-around;
  align-items: center;
  opacity: 0;
  transition: var(--transition);
  z-index: 3;
}

a {
  display: grid;
  place-items: center;
  padding: 2rem 4rem;
  position: relative;
  text-transform: uppercase;
  letter-spacing: var(--letterSpacing);
  font-family: var(--headingFont);
  user-select: none;
}

.hamburgerMenu input,
.hamburgerMenu ul {
  display: none;
}

/* Used "11 UX Tips for Successful Navigations (in 7 minutes!)" YouTube video by DesignCourse as guidance */
.mainNav ul {
  display: flex;
  flex-wrap: wrap;
}

.mainNav ul li {
  transition: var(--transition);
}

.mainNav ul li:hover {
  background-color: hsl(192, 20%, 27%);
}

.mainNav ul li a {
  color: var(--secondary);
}

.mainNav:hover {
  opacity: 1;
}

.mainNav ul li a:hover {
  color: var(--accent);
}

.active {
  color: var(--accent) !important;
  background-color: hsl(192, 20%, 23%);
}

.hamburgerMenu {
  position: fixed;
  top: 3rem;
  right: 6rem;
  z-index: 2;
}

.hamburger,
.hamburger::before,
.hamburger::after {
  position: absolute;
  width: 3rem;
  height: 0.3rem;
  border-radius: 5px;
  background-color: var(--accent);
  transition: var(--transition);
  z-index: -1;
}

.hamburger::before {
  content: "";
  transform: translateY(-0.6rem);
}

.hamburger::after {
  content: "";
  transform: translateY(0.6rem);
}

/* Simple Nav */
.simpleNav {
  display: flex;
  flex-wrap: wrap;
  background-color: var(--primary);
  width: fit-content;
}

.simpleNav label,
#simpleNavHam {
  display: none;
  cursor: pointer;
}

#simpleNavItems {
  display: flex;
  justify-content: space-evenly;
}

.simpleNav a {
  padding: 1.5rem 2rem;
  font-size: smaller;
  border-right: 1px solid var(--accent);
  color: var(--secondary);
}

.simpleNav a:hover {
  background-color: hsl(192, 20%, 27%);
  color: var(--primary);
}

/* Fullscreen Menu */
.arrowNav {
  margin-top: 8rem;
  background-color: var(--primary);
  display: flex;
  justify-content: flex-start;
  align-items: flex-end;
  height: 57.4rem;
  padding-left: 2rem;
  width: 100%;
  position: relative;
}

.arrowClose {
  width: 4rem;
  height: 4rem;
  position: absolute;
  top: 2rem;
  right: 3rem;
  fill: var(--accent);
  transition: var(--transition);
}

.arrowClose:hover {
  cursor: not-allowed;
}

.arrowClose svg {
  transition: var(--transition);
}

.arrowClose:hover svg {
  transform: rotate(180deg);
}

.arrowNavItemWrapper {
  width: fit-content;
  display: flex;
  flex-wrap: wrap;
  padding: 1rem;
  transform: translateX(-8rem);
  transition: var(--transition);
}

.arrowNavItemWrapper:hover {
  transform: translateX(-1rem);
}

.arrowNavItemWrapper:hover .arrowNavIcon {
  opacity: 1;
}

.arrowNavIcon {
  height: 8rem;
  width: 6rem;
  display: grid;
  place-items: center;
  opacity: 0;
  transition: var(--transition);
}

.arrowNavIcon svg {
  fill: var(--accent);
}

.arrowNavItemWrapper a {
  padding: 0;
  color: var(--secondary);
}

.arrowNavItemWrapper a:hover {
  color: var(--accent);
}

.arrowNavText {
  display: grid;
  place-items: center;
  font-family: var(--textFont);
  font-size: 6rem;
}

/* Fullscreen Nav */
.fullScreen {
  position: fixed;
  top: 8rem;
  right: 6rem;
}

.menu-wrap .toggler {
  position: absolute;
  z-index: 2;
  cursor: pointer;
  width: 3rem;
  height: 3rem;
  opacity: 0;
}

.menu-wrap .fullScreenHam {
  position: absolute;
  width: 3rem;
  height: 3rem;
  padding: 0.4rem;
  background-color: var(--accent);
  z-index: 1;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 3px;
}

.fullScreenMenu a:hover {
  color: transparent;
  background-color: transparent;
}

.menu-wrap .fullScreenHam > div {
  position: relative;
  width: 100%;
  height: 2px;
  background-color: var(--primary);
  display: flex;
  align-items: center;
  justify-content: center;
  transition: var(--transition);
}

.menu-wrap .fullScreenHam > div::before,
.menu-wrap .fullScreenHam > div::after {
  content: "";
  position: absolute;
  z-index: 1;
  top: -5px;
  width: 100%;
  height: 2px;
  background-color: inherit;
}

.menu-wrap .fullScreenHam > div::after {
  top: 5px;
}

.menu-wrap .toggler:checked + .fullScreenHam > div {
  transform: rotate(135deg);
}

.menu-wrap .toggler:checked + .fullScreenHam > div::before,
.menu-wrap .toggler:checked + .fullScreenHam > div::after {
  top: 0;
  transform: rotate(90deg);
}

.menu-wrap .toggler:checked:hover + .fullScreenHam > div {
  transform: rotate(225deg);
}

.menu-wrap .toggler:checked ~ .fullScreenMenu {
  visibility: visible;
}

.menu-wrap .toggler:checked ~ .fullScreenMenu > div {
  transform: scale(1);
  transition-duration: 0.3s;
}

.menu-wrap .toggler:checked ~ .fullScreenMenu > div > div {
  opacity: 1;
  transition: var(--transition);
}

.fullScreenMenu {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  visibility: hidden;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
}

.fullScreenMenu li {
  display: grid;
  place-items: center;
}

.menu-wrap .fullScreenMenu > div {
  background-color: var(--primary);
  width: 200vw;
  height: 200vh;
  display: flex;
  flex: none;
  align-items: center;
  justify-content: center;
  transform: scale(0);
  transition: var(--transition);
}

.menu-wrap .fullScreenMenu > div > div {
  text-align: center;
  max-width: 90vw;
  max-height: 100vh;
  opacity: 0;
  transition: var(--transition);
}

.menu-wrap .fullScreenMenu > div > div > ul > li > a {
  transition: var(--transition);
  color: var(--secondary);
}

.menu-wrap .fullScreenMenu > div > div > ul > li > a:hover {
  color: transparent;
}

.fullScreenMenuItem {
  transition-duration: 0.1s;
  opacity: 1;
}

.fullScreenMenuItemImg {
  z-index: 999999;
  pointer-events: none;
  position: absolute;
  display: grid;
  place-items: center;
  height: 100px;
  width: 140px;
  opacity: 0;
  transform: scale(0);
}

.fullScreenMenuItem:hover + .fullScreenMenuItemImg {
  opacity: 1;
  transform: scale(1);
  transition: var(--transition);
}

.fullScreenMenuItemWrapper {
  overflow: hidden;
  color: var(--secondary);
  pointer-events: none;
  opacity: 0;
}

.fullScreenMenuItemText {
  width: fit-content;
  display: flex;
  position: absolute;
  left: 0;
  top: 78.2rem;
  font-size: larger;
  padding: 1rem;
  text-transform: uppercase;
  font-style: italic;
  transition: var(--transition);
}

.fullScreenMenuItem:hover ~ .fullScreenMenuItemWrapper {
  opacity: 1;
  transition-duration: 0.3s;
}

.fullScreenMenuItemSpan {
  white-space: nowrap;
  z-index: 9999;
}

.fullScreenMenuItemImg1 {
  z-index: 999999;
  pointer-events: none;
  position: absolute;
  display: grid;
  place-items: center;
  height: 100px;
  width: 140px;
  opacity: 0;
  transform: scale(0);
}

.fullScreenMenuItem1:hover + .fullScreenMenuItemImg1 {
  opacity: 1;
  transform: scale(1);
  transition: var(--transition);
}

.fullScreenMenuItemWrapper1 {
  overflow: hidden;
  color: var(--secondary);
  pointer-events: none;
  opacity: 0;
}

.fullScreenMenuItemText1 {
  width: fit-content;
  display: flex;
  position: absolute;
  left: 0;
  top: 84.3rem;
  font-size: larger;
  padding: 1rem;
  text-transform: uppercase;
  font-style: italic;
  transition: var(--transition);
}

.fullScreenMenuItem1:hover ~ .fullScreenMenuItemWrapper1 {
  opacity: 1;
  transition-duration: 0.3s;
}

.fullScreenMenuItemImg2 {
  z-index: 999999;
  pointer-events: none;
  position: absolute;
  display: grid;
  place-items: center;
  height: 100px;
  width: 140px;
  opacity: 0;
  transform: scale(0);
}

.fullScreenMenuItem2:hover + .fullScreenMenuItemImg2 {
  opacity: 1;
  transform: scale(1);
  transition: var(--transition);
}

.fullScreenMenuItemWrapper2 {
  overflow: hidden;
  color: var(--secondary);
  pointer-events: none;
  opacity: 0;
}

.fullScreenMenuItemText2 {
  width: fit-content;
  display: flex;
  position: absolute;
  left: 0;
  top: 90.3rem;
  font-size: larger;
  padding: 1rem;
  text-transform: uppercase;
  font-style: italic;
  transition: var(--transition);
}

.fullScreenMenuItem2:hover ~ .fullScreenMenuItemWrapper2 {
  opacity: 1;
  transition-duration: 0.3s;
}

.fullScreenMenuItemImg3 {
  z-index: 999999;
  pointer-events: none;
  position: absolute;
  display: grid;
  place-items: center;
  height: 100px;
  width: 140px;
  opacity: 0;
  transform: scale(0);
}

.fullScreenMenuItem3:hover + .fullScreenMenuItemImg3 {
  opacity: 1;
  transform: scale(1);
  transition: var(--transition);
}

.fullScreenMenuItemWrapper3 {
  overflow: hidden;
  color: var(--secondary);
  pointer-events: none;
  opacity: 0;
}

.fullScreenMenuItemText3 {
  width: fit-content;
  display: flex;
  position: absolute;
  left: 0;
  top: 96.3rem;
  font-size: larger;
  padding: 1rem;
  text-transform: uppercase;
  font-style: italic;
  transition: var(--transition);
}

.fullScreenMenuItem3:hover ~ .fullScreenMenuItemWrapper3 {
  opacity: 1;
  transition-duration: 0.3s;
}

.fullScreenMenuItemImg4 {
  z-index: 999999;
  pointer-events: none;
  position: absolute;
  display: grid;
  place-items: center;
  height: 100px;
  width: 140px;
  opacity: 0;
  transform: scale(0);
}

.fullScreenMenuItem4:hover + .fullScreenMenuItemImg4 {
  opacity: 1;
  transform: scale(1);
  transition: var(--transition);
}

.fullScreenMenuItemWrapper4 {
  overflow: hidden;
  color: var(--secondary);
  pointer-events: none;
  opacity: 0;
}

.fullScreenMenuItemText4 {
  width: fit-content;
  display: flex;
  position: absolute;
  left: 0;
  top: 102.5rem;
  font-size: larger;
  padding: 1rem;
  text-transform: uppercase;
  font-style: italic;
  transition: var(--transition);
}

.fullScreenMenuItem4:hover ~ .fullScreenMenuItemWrapper4 {
  opacity: 1;
  transition-duration: 0.3s;
}

.fullScreenMenuItemImg5 {
  z-index: 999999;
  pointer-events: none;
  position: absolute;
  display: grid;
  place-items: center;
  height: 100px;
  width: 140px;
  opacity: 0;
  transform: scale(0);
}

.fullScreenMenuItem5:hover + .fullScreenMenuItemImg5 {
  opacity: 1;
  transform: scale(1);
  transition: var(--transition);
}

.fullScreenMenuItemWrapper5 {
  overflow: hidden;
  color: var(--secondary);
  pointer-events: none;
  opacity: 0;
}

.fullScreenMenuItemText5 {
  width: fit-content;
  display: flex;
  position: absolute;
  left: 0;
  top: 108.5rem;
  font-size: larger;
  padding: 1rem;
  text-transform: uppercase;
  font-style: italic;
  transition: var(--transition);
}

.fullScreenMenuItem5:hover ~ .fullScreenMenuItemWrapper5 {
  opacity: 1;
  transition-duration: 0.3s;
}

.fullScreenMenuItemImg6 {
  z-index: 999999;
  pointer-events: none;
  position: absolute;
  display: grid;
  place-items: center;
  height: 100px;
  width: 140px;
  opacity: 0;
  transform: scale(0);
}

.fullScreenMenuItem6:hover + .fullScreenMenuItemImg6 {
  opacity: 1;
  transform: scale(1);
  transition: var(--transition);
}

.fullScreenMenuItemWrapper6 {
  overflow: hidden;
  color: var(--secondary);
  pointer-events: none;
  opacity: 0;
}

.fullScreenMenuItemText6 {
  width: fit-content;
  display: flex;
  position: absolute;
  left: 0;
  top: 114.7rem;
  font-size: larger;
  padding: 1rem;
  text-transform: uppercase;
  font-style: italic;
  transition: var(--transition);
}

.fullScreenMenuItem6:hover ~ .fullScreenMenuItemWrapper6 {
  opacity: 1;
  transition-duration: 0.3s;
}

/* Side Navigation */
.sideNav {
  width: 5rem;
  height: 100vh;
  position: absolute;
  top: 0;
  left: 0;
  background-color: var(--accent);
  display: grid;
  place-items: center;
  overflow: hidden;
  transition: width 0.2s;
}

.sideNav:hover {
  width: 35rem;
  overflow: visible;
}

.sideNavBar {
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  justify-content: center;
  width: 35rem;
  height: 100%;
}

.sideNavBar a {
  display: flex;
  flex-wrap: wrap;
  margin: 2rem 0;
  padding: 0;
  text-transform: uppercase;
  letter-spacing: var(--letterSpacing);
  font-family: var(--headingFont);
  user-select: none;
  filter: opacity(0.8);
}

.sideNavBar a:hover {
  background-image: linear-gradient(
    to right,
    var(--secondary) 2px,
    hsl(5, 99%, 45%) 2px
  );
  filter: opacity(1);
}

.sideNavBar span {
  margin: 0 2rem;
  color: var(--primary);
}

.sideNavBar svg {
  fill: var(--primary);
  height: 3rem;
  width: 3rem;
  margin: 1rem;
}

/* Small devices (portrait tablets and large phones 600px and down) */
@media only screen and (max-width: 600px) {
  /* Side Navigation */
  .sideNav {
    top: calc(100vh - 7rem);
    width: 100vw;
    height: 7rem;
  }

  .sideNavBar {
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
  }

  .sideNavBar a {
    margin: 0;
    filter: opacity(1);
  }

  .sideNavBar span {
    display: none;
  }

  .sideNavBar svg {
    height: 2rem;
    width: 2rem;
    margin-bottom: 4rem;
  }

  /* Fullscreen Menu */
  .arrowNav {
    height: 25rem;
    padding-left: 0rem;
  }

  .arrowNavItemWrapper {
    flex-wrap: nowrap;
    padding: 1rem;
    transform: translateX(0rem);
  }

  .arrowNavIcon {
    display: none;
  }

  .arrowNavText {
    font-size: 2rem;
  }
}

@media only screen and (max-width: 1650px) {
  /* Main Navigation */
  .mainNav ul li a {
    padding: 2.2rem 1rem;
    font-size: smaller;
  }
}

@media only screen and (max-width: 1200px) {
  /* Main Navigation */
  .mainNav {
    display: none;
  }

  .hamburger {
    z-index: 98;
    position: fixed;
    top: 3rem;
    right: 3rem;
  }

  .hamburgerMenu {
    z-index: 55;
  }

  .hamburgerMenu input {
    display: block;
    width: 3.4rem;
    height: 2.4rem;
    position: fixed;
    top: 2rem;
    right: 2.8rem;
    cursor: pointer;
    opacity: 0;
    z-index: 99;
    -webkit-touch-callout: none;
  }

  #menu {
    position: fixed;
    padding-top: 8rem;
    top: -1.6rem;
    left: 0;
    width: 100vw;
    height: 100vh;
    background: var(--primary);
    animation: navigationSlide 0.8s ease-in-out;
  }

  #menu li {
    font-size: 22px;
  }

  #menu li a {
    color: var(--secondary);
  }

  #menu li a:hover {
    color: var(--accent);
    background-color: hsl(192, 20%, 27%);
  }

  .hamburgerMenu input:checked ~ ul {
    display: block;
  }

  .hamburgerMenu input:checked + .hamburger::before {
    transform: translateY(0rem);
  }

  .hamburgerMenu input:checked + .hamburger::after {
    transform: translateY(0rem);
  }

  .active {
    color: var(--accent) !important;
    background-color: hsl(192, 20%, 23%) !important;
  }

  @keyframes navigationSlide {
    0% {
      transform: translateY(-100vw);
      opacity: 0;
      background-color: var(--secondary);
    }

    100% {
      transform: translateY(0);
      opacity: 1;
      background-color: var(--primary);
    }
  }

  /* Simple Navigation */
  #simpleNavItems {
    display: none;
  }

  .simpleNav a {
    border: var(--border);
  }

  .simpleNav label {
    display: inline-block;
    color: var(--accent);
    background-color: var(--secondary);
    font-size: 3rem;
    padding: 1rem;
  }

  .simpleNav input:checked ~ #simpleNavItems {
    display: block;
  }
}

@media (prefers-color-scheme: dark) {
}

@media (prefers-color-scheme: light) {
  .mainNav {
    background-color: var(--secondary);
  }

  .mainNav ul li a {
    color: var(--primary);
  }

  a:hover {
    color: var(--primary);
  }

  /* Simple Navigation */
  .simpleNav {
    background-color: var(--secondary);
    color: var(--primary);
  }

  .simpleNav a {
    color: var(--primary);
  }

  .simpleNav a:hover {
    background-color: var(--primary);
    color: var(--secondary);
  }

  /* Fullscreen Menu */
  .arrowNav {
    background-color: var(--secondary);
  }

  .arrowNavItemWrapper a {
    color: var(--primary);
  }
}
